Автор Тема: Не устанавливаются и не обновляются гемы ruby  (Прочитано 2906 раз)

Оффлайн hasculdr

  • Давно тут
  • **
  • Сообщений: 485
Пробую установить гем pg, получаю
Цитировать
# gem install pg
Building native extensions. This could take a while...
ERROR:  Error installing pg:
   ERROR: Failed to build gem native extension.

    current directory: /usr/lib/ruby/gems/2.5.0/gems/pg-1.0.0/ext
/usr/bin/ruby -r ./siteconf20180717-1114-16375qg.rb extconf.rb
mkmf.rb can't find header files for ruby at /usr/lib/include/ruby.h

extconf failed, exit code 1

Gem files will remain installed in /usr/lib/ruby/gems/2.5.0/gems/pg-1.0.0 for inspection.
Results logged to /usr/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/pg-1.0.0/gem_make.out
# rpm -qa | grep ruby
ruby-prof-0.16.2-alt1.M80P.4
ruby-tzinfo-0.3.25-alt1.1
ruby-2.5.1-alt0.M80P.1
ruby-stdlibs-2.5.1-alt0.M80P.1
ruby-tools-2.5.1-alt0.M80P.1
ruby-memcache-client-1.7.4-alt1.1
ruby-gem_plugin-doc-0.2.3-alt2.2
ruby-nokogiri-1.8.0-alt0.M80P.3
ruby-i18n-0.3.7-alt2.2
libruby-2.5.1-alt0.M80P.1
ruby-gem_plugin-0.2.3-alt2.2
libxml-ruby-3.0.0-alt0.M80P.4
Не совпадают версии. Очень скромно в этом соображаю, это ruby-gem в альтах не обновлен до соответствующего ruby-2.5.1? И есть ли ruby-2.5.1-dev пакет?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 701
    • Домашняя страница
    • Email
Для сборки gem c extension нужно установить компилятор и libruby-devel
Андрей Черепанов (cas@)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 701
    • Домашняя страница
    • Email
А чем не удовлетворяет ruby-pg из репозитория?
Андрей Черепанов (cas@)

Оффлайн hasculdr

  • Давно тут
  • **
  • Сообщений: 485
Для сборки gem c extension нужно установить компилятор и libruby-devel
libruby-devel поставил, теперь установка прерывается в другом месте. Как называется компилятор?

А чем не удовлетворяет ruby-pg из репозитория?
Да-да, утром вспомнил что в Альте некоторые гемы опакечены и поставил из репозитория. Работает.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 16 701
    • Домашняя страница
    • Email
Компилятор по умолчанию для p8 – gcc5.
Андрей Черепанов (cas@)